#include <stdlib.h>
#include <math.h>
#include <cwiid.h>

#define toggle_bit(bf,b)    \
    (bf) = ((bf) & b)       \
           ? ((bf) & ~(b))  \
           : ((bf) | (b))

struct move_state {
  double acc_x;
  double acc_y;
  double acc_z;
  double acc;
  double roll;
  double pitch;
};

static cwiid_wiimote_t *wiimote;
static struct cwiid_state state;
static struct move_state wii_move;
static unsigned char led_state = 0;
static unsigned char rpt_mode = 0;
static struct acc_cal cal;

void wiimote_init(int, char**);
void wiimote_update(void);
void wiimote_move(void);

void set_led_state(cwiid_wiimote_t*, unsigned char);
void set_rpt_mode(cwiid_wiimote_t*, unsigned char);

int up(void);
int right(void);
int left(void);

